Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.rules
Class JboCustomValidator

`java.lang.Object
oracle.jbo.rules.AbstractValidator
oracle.jbo.rules.JboCustomValidator`

All Implemented Interfaces:
  JboValidatorInterface

public class JboCustomValidator
extends AbstractValidator
implements JboValidatorInterface

Field Summary
`protected java.lang.String` | `mBeanClass`
`protected java.lang.String` | `mName`
`protected JboValidatorInterface` | `mVal`

Fields inherited from class oracle.jbo.rules.AbstractValidator
`mbInverse, mDescription, mErrorMessageClass, mMsgId, mValidatingAttrName`

Constructor Summary
`JboCustomValidator(java.lang.String name, java.lang.String beanClass, JboValidatorInterface val)`

Method Summary
`java.lang.String` | `getBeanClass()`
`JboValidatorInterface` | `getBeanInstance()`
`java.lang.String` | `getDescription()` Gets the text description of this validator.
`java.lang.String` | `getName()`
`void` | `setBeanClass(java.lang.String beanClass)`
`void` | `setBeanInstance(JboValidatorInterface val)`
`void` | `setDescription(java.lang.String description)` Sets the text description of this validator.
`void` | `setName(java.lang.String name)`
`void` | `validate(JboValidatorContext ctx)` Tests the validity of an attribute value.
`boolean` | `validateValue(java.lang.Object val)`

Methods inherited from class oracle.jbo.rules.AbstractValidator
`convertToJava, getErrorMessageClass, getErrorMsgId, getInverse, getValidatingAttributeName, setErrorMessageClass, setErrorMsgId, setInverse, setValidatingAttributeName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mName

    protected java.lang.String mName

### mBeanClass

    protected java.lang.String mBeanClass

### mVal

    protected JboValidatorInterface mVal

Constructor Detail

### JboCustomValidator

    public JboCustomValidator(java.lang.String name,
                              java.lang.String beanClass,
                              JboValidatorInterface val)

Method Detail

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### setBeanClass

    public void setBeanClass(java.lang.String beanClass)

### getBeanClass

    public java.lang.String getBeanClass()

### setBeanInstance

    public void setBeanInstance(JboValidatorInterface val)

### getBeanInstance

    public JboValidatorInterface getBeanInstance()

### validate

    public void validate(JboValidatorContext ctx)

  Description copied from interface: `JboValidatorInterface`
  Tests the validity of an attribute value.
  Specified by:
    `validate` in interface `JboValidatorInterface`
  Parameters:
    `ctx` - the validator context

### validateValue

    public boolean validateValue(java.lang.Object val)

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `JboValidatorInterface`
  Gets the text description of this validator.
  Specified by:
    `getDescription` in interface `JboValidatorInterface`
  Overrides:
    `getDescription` in class `AbstractValidator`
  Returns:
    a documentation string.

### setDescription

    public void setDescription(java.lang.String description)

  Description copied from interface: `JboValidatorInterface`
  Sets the text description of this validator.
  Specified by:
    `setDescription` in interface `JboValidatorInterface`
  Overrides:
    `setDescription` in class `AbstractValidator`
  Parameters:
    `description` - a documentation string.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.